Summary:	MySQL authentication for PAM
Name:		pam_mysql
Version:	0.7
Release:	%mkrel 0.rc1.5
License:	GPL
Group:		System/Libraries
URL:		http://sourceforge.net/projects/pam-mysql/
Source:		%{url}/pam_mysql-%{version}RC1.tar.gz
Patch0:		pam_mysql-0.7RC1-link.diff
Patch1:		pam_mysql-0.7RC1-scrambled.diff
Requires:	pam
Provides:	pam-mysql
BuildRequires:	pam-devel
BuildRequires:	mysql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a MySQL database. Now configurable in terms of which host the
database resides upon and which table and username and password column to
interrogate.

%prep

%setup -q -n pam_mysql-0.7RC1
%patch0 -p0 
%patch1 -p1
%build
%configure2_5x --disable-static --enable-share
%make

%install
%makeinstall_std
#mkdir -p $RPM_BUILD_ROOT/lib/security
#cp pam_mysql.so $RPM_BUILD_ROOT/lib/security
#mkdir -p $RPM_BUILD_ROOT/usr/share/doc/pam-mysql-%{version}
#cp Changelog $RPM_BUILD_ROOT/usr/share/doc/pam-mysql-%{version}
#cp CREDITS $RPM_BUILD_ROOT/usr/share/doc/pam-mysql-%{version}
#cp Readme $RPM_BUILD_ROOT/usr/share/doc/pam-mysql-%{version}

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc ChangeLog CREDITS README
%exclude %{_libdir}/security/pam_mysql.la
%{_libdir}/security/pam_mysql.so



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7-0.rc1.5.mga4
+ Revision: 533198
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 dlucio <dlucio> 0.7-0.rc1.4.mga4
+ Revision: 471984
- bump release

* Thu May 02 2013 dlucio <dlucio> 0.7-0.rc1.3.mga4
+ Revision: 412014
- TAG fixing

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-3.mga3
+ Revision: 411944
- P1 to fix scrambled function

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-2.mga3
+ Revision: 411931
- P0 to fix a link issue

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-1.mga3
+ Revision: 411912
- imported package pam_mysql


* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-5mdk
- rebuilt against MySQL-5.0.15

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-4mdk
- rebuilt against new mysql libs
- fix deps
- misc spec file fixes

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix buildrequires & requires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Dec 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Terry Froy <tez@spilsby.net> :
	- Initial spec
